package com.example.nto.controller;


import com.example.nto.entity.Code;
import com.example.nto.entity.Employee;
import com.example.nto.service.impl.EmployeeServiceImpl;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.*;

@RestController
@RequiredArgsConstructor
public class EmployeeController {

    private final EmployeeServiceImpl employeeService;

    @GetMapping("/api/{login}/auth")
    public String auth(@PathVariable("login") String login){
        return employeeService.getAuth(login);
    }

    @GetMapping("/api/{login}/info")
    public Employee info(@PathVariable("login") String login){
        return employeeService.getInfo(login);
    }

    @PatchMapping("/api/{login}/open")
    public String open(@PathVariable("login") String login, @RequestBody Code value){
        return employeeService.patchOpen(login, value.getValue());
    }
}
